#!/bin/bash 

rm bunch.sdds
rm train1.sdds 
filename='bunch.sdds'
number=1000


emitx=2.299882e-11
betax=8.175595265258400e+00
alphax=0
etax=-1.174409542493647e-06
etaxp=0


emity=2.299920e-11
betay=4.997205764112015e+00
alphay=0
etay=0
etayp=0

MeV=6e3
sigmaS=4.995083257770271e-03
sigmaDelta=1.013008570660093e-03


generateBunch -output $filename -number $number \
-xplane $emitx,$betax,$alphax,$etax,$etaxp \
-yplane $emity,$betay,$alphay,$etay,$etayp \
-zplane $MeV,$sigmaS,$sigmaDelta

./generateBunchTrain -input makeBunch.out -output train1.sdds -patternString "63*12*1.0" -rfFrequency  166.6003e+06
./generateBunchTrain -input bunch.sdds -output train2.sdds -patternString "63*12*1.0" -rfFrequency  166.6003e+06
#generateBunchTrain -input bunch.sdds -output train1.sdds -patternString "5*1*1.0 10*1*0 5*1*1.0 3*1*0 10*2*3.0" -rfFrequency 352e6



#generateBunch -output <filename> -number <integer> -xplane <emitx>,<betax>,<alphax>,<etax>,<etaxp> -yplane <emity>,<betay>,<alphay>,<etay>,<etayp> -zplane <MeV>,<sigmaS>,<sigmaDelta>
